Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.ontology
Class ConversionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.hp.hpl.jena.shared.JenaException
                      com.hp.hpl.jena.ontology.OntologyException
                          com.hp.hpl.jena.ontology.ConversionException

All Implemented Interfaces:
  java.io.Serializable

    public class ConversionException

extends OntologyException

Exception that is thrown when an ontology resource is converted to another facet, using `as()`, and the requested conversion is not possible. The reasons for the failure may be that the requested term is not in the language profile of the language attached to the ontology model, or because the pre-conditions for the conversion are not met.

Version:
  CVS $Id: ConversionException.java,v 1.8 2008/01/02 12:06:41 andy_seaborne Exp $
Author:
  Ian Dickinson, HP Labs (email)
See Also:
  Serialized Form

Constructor Summary
`ConversionException(java.lang.String msg)` Construct an ontology exception with a given message.

Method Summary

Methods inherited from class com.hp.hpl.jena.shared.JenaException
`getCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConversionException

    public ConversionException(java.lang.String msg)

  Construct an ontology exception with a given message.

  Parameters:
    `msg` - The exception message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP